GETSOCKNAME(2)

NAME
getsockname - get socket name

SYNOPSIS
#include <sys/socket.h>
int
getsockname(int s, struct sockaddr *name, socklen_t *namelen);

DESCRIPTION
The getsockname() system call returns the current name for the specified socket. The namelen parameter should be initialized to indicate the amount of space pointed to by name. On return it contains the actual size of the name returned (in bytes).

RETURN VALUES
A 0 is returned if the call succeeds, -1 if it fails.

ERRORS
The call succeeds unless:

[EBADF]
    The argument s is not a valid descriptor.

[ENOTSOCK]
    The argument s is a file, not a socket.

[ENOBUFS]
    Insufficient resources were available in the system to perform the operation.

[EFAULT]
    The name parameter points to memory not in a valid part of the process address space.

SEE ALSO
bind(2), socket(2)

BUGS
Names bound to sockets in the UNIX domain are inaccessible; getsockname() returns a zero length name.

HISTORY
The getsockname() function call appeared in 4.2BSD.